Skip to main content
POST
/
api
/
v1
/
spaces
/
{spaceId}
/
run-all
Run all agents in a space
curl --request POST \
  --url https://dashboard.sequentum.com/api/v1/spaces/{spaceId}/run-all \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputParameters": "<string>",
  "parallelism": 123,
  "isExclusive": true
}
'
{
  "spaceId": 123,
  "spaceName": "<string>",
  "totalAgents": 123,
  "agentsStarted": 123,
  "agentsFailed": 123,
  "results": [
    {
      "agentId": 123,
      "agentName": "<string>",
      "success": true,
      "runId": 123,
      "errorMessage": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.sequentum.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authorization header. Example: "Authorization: ApiKey {your-api-key}"

Authorization
string
header
required

OAuth 2.0 Bearer token. Example: "Authorization: Bearer {access-token}"

Path Parameters

spaceId
integer<int32>
required

The ID of the space

Body

Optional run parameters

Request model for running all agents in a space

inputParameters
string | null

Optional JSON string of input parameters to pass to all agents

parallelism
integer<int32> | null

Parallelism level for each agent run (default: 1)

isExclusive
boolean

Whether to run exclusively

Response

Returns the results of starting each agent

Result of running all agents in a space

spaceId
integer<int32>
spaceName
string | null
totalAgents
integer<int32>
agentsStarted
integer<int32>
agentsFailed
integer<int32>
results
object[] | null